This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1301387 - nautilus dies when controlling desktop (ie, Tweaks > Desktop > Icons on Desktop [ON])
nautilus dies when controlling desktop (ie, Tweaks > Desktop > Icons on Deskt...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
22
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 12:39 EST by morgan read
Modified: 2016-07-19 15:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:24:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2016-01-24 12:39:26 EST
Description of problem:
turning desktop icons on causes nautilus to dies

Version-Release number of selected component (if applicable):
$ rpm -qv nautilus
nautilus-3.16.3-1.fc22.x86_64

How reproducible:
Always on this particular login - seems to work fine on an alternative login

Steps to Reproduce:
1. Turn on Tweaks > Desktop > Icons on Desktop [ON]
2. Lunch nautilus from menu, nautilus briefly starts and desktop icons are briefly displayed before
3. Nautilus dies

Actual results:
Nautilus running with icons on desktop

Expected results:
Nautilus not running, after dying

Additional info:
$ nautilus
Initializing nautilus-dropbox 2.10.0
Initializing nautilus-search-tool extension
Initializing nautilus-image-converter extension
**
ERROR:nautilus-canvas-container.c:6118:finish_adding_new_icons: assertion failed: (!container->details->auto_layout)
Aborted (core dumped)
$

$ cat core_backtrace
{   "signal": 6
,   "executable": "/usr/bin/nautilus"
,   "only_crash_thread": true
,   "stacktrace":
      [ {   "crash_thread": true
        ,   "frames":
              [ {   "address": 245924841928
                ,   "build_id": "5e86d81f6b21b75b08b19cd1574e14ec0ec098f3"
                ,   "build_id_offset": 215496
                ,   "function_name": "raise"
                ,   "file_name": "/usr/lib64/libc-2.21.so"
                }
              , {   "address": 245924849242
                ,   "build_id": "5e86d81f6b21b75b08b19cd1574e14ec0ec098f3"
                ,   "build_id_offset": 222810
                ,   "function_name": "abort"
                ,   "file_name": "/usr/lib64/libc-2.21.so"
                }
              , {   "address": 245920891557
                ,   "build_id": "8456baf9fd1a03358852969e9b64098ebbcba869"
                ,   "build_id_offset": 459429
                ,   "function_name": "g_assertion_message"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4400.1"
                }
              , {   "address": 245920891706
                ,   "build_id": "8456baf9fd1a03358852969e9b64098ebbcba869"
                ,   "build_id_offset": 459578
                ,   "function_name": "g_assertion_message_expr"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4400.1"
                }
              , {   "address": 4732969
                ,   "build_id": "700cd1fbe78070aeb08af2cbf70abdc537a846c1"
                ,   "build_id_offset": 538665
                ,   "function_name": "redo_layout_internal"
                ,   "file_name": "/usr/bin/nautilus"
                }
              , {   "address": 4746151
                ,   "build_id": "700cd1fbe78070aeb08af2cbf70abdc537a846c1"
                ,   "build_id_offset": 551847
                ,   "function_name": "nautilus_canvas_container_sort"
                ,   "file_name": "/usr/bin/nautilus"
                }
              , {   "address": 4399635
                ,   "build_id": "700cd1fbe78070aeb08af2cbf70abdc537a846c1"
                ,   "build_id_offset": 205331
                ,   "function_name": "nautilus_canvas_view_clean_up_by_name"
                ,   "file_name": "/usr/bin/nautilus"
                }
              , {   "address": 4409811
                ,   "build_id": "700cd1fbe78070aeb08af2cbf70abdc537a846c1"
                ,   "build_id_offset": 215507
                ,   "function_name": "nautilus_desktop_canvas_view_end_loading"
                ,   "file_name": "/usr/bin/nautilus"
                }
              , {   "address": 245979217109
                ,   "build_id": "b2cda86d4ea26d5c80f7203c83b922e0bb902913"
                ,   "build_id_offset": 64725
                ,   "function_name": "g_closure_invoke"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.4400.1"
                }
              , {   "address": 245979290975
                ,   "build_id": "b2cda86d4ea26d5c80f7203c83b922e0bb902913"
                ,   "build_id_offset": 138591
                ,   "function_name": "signal_emit_unlocked_R"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.4400.1"
                }
              , {   "address": 245979324144
                ,   "build_id": "b2cda86d4ea26d5c80f7203c83b922e0bb902913"
                ,   "build_id_offset": 171760
                ,   "function_name": "g_signal_emit_valist"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.4400.1"
                }
              , {   "address": 245979325087
                ,   "build_id": "b2cda86d4ea26d5c80f7203c83b922e0bb902913"
                ,   "build_id_offset": 172703
                ,   "function_name": "g_signal_emit"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.4400.1"
                }
              , {   "address": 4608927
                ,   "build_id": "700cd1fbe78070aeb08af2cbf70abdc537a846c1"
                ,   "build_id_offset": 414623
                ,   "function_name": "done_loading.part.45"
                ,   "file_name": "/usr/bin/nautilus"
                }
              , {   "address": 4609365
                ,   "build_id": "700cd1fbe78070aeb08af2cbf70abdc537a846c1"
                ,   "build_id_offset": 415061
                ,   "function_name": "display_pending_callback"
                ,   "file_name": "/usr/bin/nautilus"
                }
              , {   "address": 245920736483
                ,   "build_id": "8456baf9fd1a03358852969e9b64098ebbcba869"
                ,   "build_id_offset": 304355
                ,   "function_name": "g_timeout_dispatch"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4400.1"
                }
              , {   "address": 245920733834
                ,   "build_id": "8456baf9fd1a03358852969e9b64098ebbcba869"
                ,   "build_id_offset": 301706
                ,   "function_name": "g_main_context_dispatch"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4400.1"
                }
              , {   "address": 245920734752
                ,   "build_id": "8456baf9fd1a03358852969e9b64098ebbcba869"
                ,   "build_id_offset": 302624
                ,   "function_name": "g_main_context_iterate.isra.29"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4400.1"
                }
              , {   "address": 245920734924
                ,   "build_id": "8456baf9fd1a03358852969e9b64098ebbcba869"
                ,   "build_id_offset": 302796
                ,   "function_name": "g_main_context_iteration"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4400.1"
                }
              , {   "address": 255062610540
                ,   "build_id": "45641184bdf1639c26f768746f56017b3b05ad0a"
                ,   "build_id_offset": 692844
                ,   "function_name": "g_application_run"
                ,   "file_name": "/usr/lib64/libgio-2.0.so.0.4400.1"
                }
              , {   "address": 4364123
                ,   "build_id": "700cd1fbe78070aeb08af2cbf70abdc537a846c1"
                ,   "build_id_offset": 169819
                ,   "function_name": "main"
                ,   "file_name": "/usr/bin/nautilus"
                } ]
        } ]
}
$
Comment 1 Fedora End Of Life 2016-07-19 15:24:23 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.